Skip to content

/v1/projects/{projectId}/knowledge (POST)

POST
/v1/projects/{projectId}/knowledge
curl --request POST \
--url https://service.testing.nairon.cloud/v1/projects/example/knowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example" }'
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
Media typeapplication/json
object
name
required
string
>= 1 characters <= 200 characters
description
string
<= 5000 characters
Examplegenerated
{
"name": "example",
"description": "example"
}

Default Response

Media typeapplication/json
object
id
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
name
required
string
description
required
Any of:
string
status
required
string
Allowed values: active archived indexing
Example
{
"status": "active"
}